=== debian/control ===
Source: lmms
Section: sound
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Israel Dahl <israeldahl@gmail.com>,
 Javier Serrano Polo <javier@jasp.net>,
 Ross Gammon <rossgammon@debian.org>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 bash-completion,
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 fluid,
 ladspa-sdk,
 libasound2-dev [linux-any],
 libfftw3-dev,
 libfltk1.3-dev,
 libfluidsynth-dev,
 libgig-dev,
 libjack-jackd2-dev | libjack-dev,
 liblist-moreutils-perl,
 libmp3lame-dev,
 libogg-dev,
 libpulse-dev,
 libqt5x11extras5-dev,
 libsamplerate0-dev,
 libsdl1.2-dev,
 libsndfile1-dev,
 libsndio-dev,
 libsoundio-dev,
 libstk-dev,
 libvorbis-dev,
 libx11-xcb-dev,
 libxcb-keysyms1-dev,
 libxcb-util0-dev,
 libxml-perl,
 libxml2-utils,
 portaudio19-dev,
 qtbase5-private-dev,
 qttools5-dev,
 qttranslations5-l10n,
 wine32-tools (>= 4.0~) [i386]
Standards-Version: 4.5.0
Homepage: https://lmms.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/lmms.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/lmms
Rules-Requires-Root: no

Package: lmms
Architecture: any
Depends:
 lmms-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 stk
Recommends:
 tap-plugins,
 caps,
 lmms-vst-server:i386 (>= ${source:Version})
Suggests: fil-plugins,
 mcp-plugins,
 omins,
 freepats,
 fluid-soundfont-gm,
 ladspa-plugin
Replaces: lmms-common (<< 1.0.0-1)
Breaks: lmms-common (<< 1.0.0-1)
Multi-Arch: allowed
Description: Linux Multimedia Studio
 LMMS aims to be a free alternative to popular (but commercial and closed-
 source) programs like FruityLoops, Cubase and Logic giving you the ability of
 producing music with your computer by creating cool loops, synthesizing and
 mixing sounds, arranging samples, having more fun with your MIDI-keyboard
 and much more...
 .
 LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
 sample-/song-/effect-management) and those of powerful synthesizers and
 samplers in a modern, user-friendly and easy to use graphical user-interface.

Package: lmms-common
Architecture: all
Multi-Arch: foreign
Depends:
 zynaddsubfx-data,
 ${misc:Depends}
Description: Linux Multimedia Studio - common files
 LMMS aims to be a free alternative to popular (but commercial and closed-
 source) programs like FruityLoops, Cubase and Logic giving you the ability of
 producing music with your computer by creating cool loops, synthesizing and
 mixing sounds, arranging samples, having more fun with your MIDI-keyboard
 and much more...
 .
 LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
 sample-/song-/effect-management) and those of powerful synthesizers and
 samplers in a modern, user-friendly and easy to use graphical user-interface.
 .
 This package contains the platform independent files such as samples, presets
 and some example projects.

Package: lmms-vst-server
Architecture: i386
# Order matters to avoid wine64
Depends:
 wine32 (>= 4.0~),
 wine (>= 4.0~),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: lmms:any
Description: Linux Multimedia Studio - VST server & plugins
 This package contains the LMMS VST plugins and a helper application that loads
 VST plugins.
