=== data/presets/CMakeLists.txt ===
INCLUDE(InstallHelpers)

INSTALL_DATA_SUBDIRS("presets" "*.xpf")
INSTALL_DATA_SUBDIRS("presets" "*.xiz")
