=== data/wavetables/CMakeLists.txt ===
FILE(GLOB WAVETABLES *.bin)
LIST(SORT WAVETABLES)
INSTALL(FILES ${WAVETABLES} DESTINATION "${LMMS_DATA_DIR}/wavetables")
