=== debian/changelog ===
lmms (1.2.2+dfsg1-6) unstable; urgency=medium

  [ Dennis Braun ]
  * Fix d/watch download regex, use github api
  * Change my email address
  * Prefer libjack-dev over libjack-jackd2-dev
  * Bump Standards-Version to 4.6.2

  [ Petter Reinholdtsen ]
  * List libxcb-util-dev as the primary build alternative to the now
    obsolete libxcb-util0-dev.

 -- Petter Reinholdtsen <pere@hungry.com>  Tue, 14 Feb 2023 15:08:25 +0000

lmms (1.2.2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: Re-enable i386 wine support. (Closes: #1025804)
    + Also fix for debian/lmms-vst-server.install.
  * debian/patches/fix-qt-crash-kwidgetsaddons-5.101.0.patch:
    Add patch to fix compatibility with kwidgetsaddons/5.101.0.
    (Closes: #1027690)

 -- Boyuan Yang <byang@debian.org>  Thu, 12 Jan 2023 16:37:37 -0500

lmms (1.2.2+dfsg1-4) unstable; urgency=high

  * Team upload.

  [ Boyuan Yang ]
  * debian/lmms-vst-server.install: Do not install RemoteVstPlugin*
    for now to fix i386 FTBFS. Follow-up of previous upload.
    (Closes: #1012862)

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jun 2022 14:50:53 -0400

lmms (1.2.2+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Olivier Humbert ]
  * Update d/copyright (http -> https)

  [ Boyuan Yang ]
  * Rebuild for Qt 5.12.4 transition.
  * d/control,d/rules: Disable wine support on i386 architecture befine
    Debian Wine packaging is properly fixed.
  * d/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Jun 2022 18:18:41 -0400

lmms (1.2.2+dfsg1-2) unstable; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * Mark lmms-common as M-A: foreign

  [ Olivier Humbert ]
  * Update d/control: adds "qttranslations5-l10n" as a build depend

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Sep 2020 16:08:26 +0200

lmms (1.2.2+dfsg1-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * B-D on libstk-dev

  [ Dennis Braun ]
  * New upstream version 1.2.2+dfsg1
  * Update patchset
  * d/control:
    + Add me as uploader
    + Bump dh-compat to 13
    + Bump S-V to 4.5.0
    + Use https protocol for the homepage
    + Set RRR: no
  * d/copyright: Update Files-Excluded
  * Add d/upstream/metadata
  * Update d/watch file
  * Add d/not-installed

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Aug 2020 20:44:00 +0200
