=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: lmms
 Section: sound
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
  Israel Dahl <israeldahl@gmail.com>,
  Javier Serrano Polo <javier@jasp.net>,
  Ross Gammon <rossgammon@debian.org>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  bash-completion,
  cmake,
@@ -21,7 +20,7 @@
  libfltk1.3-dev,
  libfluidsynth-dev,
  libgig-dev,
- libjack-jackd2-dev | libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  liblist-moreutils-perl,
  libmp3lame-dev,
  libogg-dev,
@@ -36,7 +35,7 @@
  libvorbis-dev,
  libx11-xcb-dev,
  libxcb-keysyms1-dev,
- libxcb-util0-dev,
+ libxcb-util-dev | libxcb-util0-dev,
  libxml-perl,
  libxml2-utils,
  portaudio19-dev,
@@ -44,7 +43,7 @@
  qttools5-dev,
  qttranslations5-l10n,
  wine32-tools (>= 4.0~) [i386]
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://lmms.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/lmms.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lmms
