=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	-DREMOTE_VST_PLUGIN_FILEPATH=../../i386-linux-gnu/lmms/RemoteVstPlugin
 endif
 
+
 # Define NDEBUG. This helps with reproducible builds.
 export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG
 # Add -Wno-error=format-truncation because truncation is expected in snprintf.
@@ -35,7 +36,3 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_OPTS)
-	
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym
-
